Bug 81672 - [BlackBerry] Allow simulator to use GLES2 acceleration
Summary: [BlackBerry] Allow simulator to use GLES2 acceleration
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit BlackBerry (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-20 09:08 PDT by Filip Spacek
Modified: 2013-01-04 02:20 PST (History)
3 users (show)

See Also:


Attachments
proposed patch (2.92 KB, patch)
2012-03-20 09:11 PDT, Filip Spacek
rwlbuis: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch (2.95 KB, patch)
2012-04-09 11:38 PDT, Ming Xie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Spacek 2012-03-20 09:08:33 PDT
Any hardware acceleration is only enabled on device build. The Simulator now has GLES2 drivers so we should be able to turn it on in simulator too. The patch makes it possible to enable GLES2 support with an environment variable.
Comment 1 Filip Spacek 2012-03-20 09:11:52 PDT
Created attachment 132837 [details]
proposed patch
Comment 2 Rob Buis 2012-03-20 09:15:43 PDT
Comment on attachment 132837 [details]
proposed patch

LGTM.
Comment 3 WebKit Review Bot 2012-03-20 09:17:59 PDT
Comment on attachment 132837 [details]
proposed patch

Rejecting attachment 132837 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ucceeded at 1 with fuzz 3.
patching file Source/cmake/OptionsBlackBerry.cmake
Hunk #1 FAILED at 19.
Hunk #2 succeeded at 121 with fuzz 1.
1 out of 2 hunks FAILED -- saving rejects to file Source/cmake/OptionsBlackBerry.cmake.rej
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/Scripts/webkitdirs.pm

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Rob Buis']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12001348
Comment 4 Ming Xie 2012-04-09 11:38:21 PDT
Created attachment 136275 [details]
Patch
Comment 5 Rob Buis 2012-04-09 11:39:30 PDT
Comment on attachment 136275 [details]
Patch

LGTM.
Comment 6 WebKit Review Bot 2012-04-09 15:40:19 PDT
Comment on attachment 136275 [details]
Patch

Clearing flags on attachment: 136275

Committed r113633: <http://trac.webkit.org/changeset/113633>
Comment 7 Rob Buis 2013-01-04 02:20:30 PST
This landed a long time ago, so close.